## org.apache.axis.encoding.ser.castor
Class CastorEnumTypeSerializerFactory

    java.lang.Object
      org.apache.axis.encoding.ser.BaseFactory
          org.apache.axis.encoding.ser.BaseSerializerFactory
              org.apache.axis.encoding.ser.castor.CastorEnumTypeSerializerFactory

All Implemented Interfaces:
  java.io.Serializable, SerializerFactory, SerializerFactory

public class CastorEnumTypeSerializerFactory
extends BaseSerializerFactory

SerializerFactory for Castor Enum Type objects

Author:
  Ozzie Gurkan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`getSerializer, javaType, log, ser, serClass, serClassConstructor, xmlType`

Constructor Summary
`CastorEnumTypeSerializerFactory(java.lang.Class javaType, QName xmlType)`

Method Summary
`static SerializerFactory` `create(java.lang.Class javaType, QName xmlType)`

Methods inherited from class org.apache.axis.encoding.ser.BaseSerializerFactory
`createFactory, getGeneralPurpose, getGetSerializer, getJavaType, getSerClassConstructor, getSerializerAs, getSerializerAsInternal, getSpecialized, getSupportedMechanismTypes, getXMLType`

Methods inherited from class org.apache.axis.encoding.ser.BaseFactory
`getMethod`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CastorEnumTypeSerializerFactory

    public CastorEnumTypeSerializerFactory(java.lang.Class javaType,
                                           QName xmlType)

Method Detail

### create

    public static SerializerFactory create(java.lang.Class javaType,
                                           QName xmlType)

Copyright © 2005 Apache Web Services Project. All Rights Reserved.